#!/bin/sh

for f in pages/*.md feeds/pages/*.md; do
	h="${f%%.md}.html"
	lowdown -s "$f" > "$h"

	# make URLs absolute.
	o="output/$(basename "$f")"
	sed -E 's@\]\([\/]?([^:\)]+)\)@](https://technoduck.me/\1)@g' < "$f" > "$o"
done