## LED Hoops

### What?

First, a blog post by [mitxela](https://mitxela.com) came upon my eyes, and piqued my interest.

Inspired by the [industrial piercing](https://mitxela.com/projects/scaffold) and the electronics that went into it, I though if other pieces of jewelry can be made with electronics (they can, it was specifically a question if my measly hands could craft them).

Since for the first time, I didn't want to experiment with absolute microscopic sizes, I decided that a 4 cm hoop was an adequate project to attempt.

![schematic_kicad_image](img/led_hoop/schematic.png =800x)

An Attiny 24/44/84A can be used, I went with a -M variant, since it is slightly larger then the -MM variant, by a whole mm, which I assume will be easier to solder.

Placing them all in a nice hoop looking pcb, we obtain this:

![pcb_kicad_image](img/led_hoop/pcb.svg)

The test version comes with ISP pins for debugging and programming the chip when it's already installed.

0603 LED's were chosen for the same reason, they are small enough to be not that noticeable, but large enough to be not an incredible pain to work with.

### Why??

It looked and sounded fun, my only previous projects related to PCB production before this was edition a split [Sweep](https://github.com/davidphilipbarr/Sweep) keyboard.

And so I did.

### Cool. What now?

You can take your chance and go to [the git repository](https://git.technoduck.me/technoduck/led_hoop) for the project, `git pull`, and try your own luck.




Batteries not included.

